<?php
#########################################
# Original Author of file: Jimmy Conner #
#########################################

##################################################
# File modified by GRISARD Jean Marc			#
# Contact ------> jmgrisard@capec.fr			#
# Program ------> Ossec tab for Cacti			#
# Version ------> 0.1							#
# Purpose ------> Display ossec inside of Cacti #
#################################################

chdir('../../');
include("./include/auth.php");

$_SESSION['custom']=false;
include("./include/top_graph_header.php");

$host = read_config_option("ossec_url");


if (isset($_SERVER['HTTP_HOST']))
	$serverip = $_SERVER['HTTP_HOST'];
else
	$serverip = '';

if ($host == '' && $serverip != '') {
	$host = "http://$serverip/";
} else {
	$host = str_replace("|SERVERIP|",$serverip,$host);
}

if ($host != '') {
	print "<iframe src='" . $host . "' width='100%' height='100%' frameborder=0></iframe>";
} else {
	print "<center>Please set the ossec URL setting.</center>";
}

?>